%global commit 5cdf0a64c51e0c9f1d784bf17ed74d8311dc423d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           idevicerestore
Version:        1.0.1
Release:        1.git%{shortcommit}%{?dist}
Summary:        Tool to restore firmware files to iOS devices

License:        LGPLv3
URL:            https://github.com/libimobiledevice/idevicerestore.git
Source0:        https://github.com/libimobiledevice/idevicerestore/archive/%{commit}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

BuildRequires:  libcurl-devel
BuildRequires:  libimobiledevice-devel
BuildRequires:  libirecovery-devel
BuildRequires:  libplist-devel
BuildRequires:  libusbmuxd-devel
BuildRequires:  libzip-devel
BuildRequires:  zlib-devel
BuildRequires:  openssl-devel

%description
The idevicerestore tool allows to restore firmware files to iOS devices.

It is a full reimplementation of all granular steps which are performed during
restore of a firmware to a device.

In general, upgrades and downgrades are possible, however subject to
availability of SHSH blobs from Apple for signing the firmware files.


%prep
%autosetup -n %{name}-%{commit}

sed -i -e "38a AC_SEARCH_LIBS([pthread_create], [pthread])" configure.ac
./autogen.sh
#autoreconf -fi


%build
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jun 13 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 1.0.0-1.git5cdf0a6
- Version bump

* Sun Aug 12 2018 Andrew Gunnerson <andrewgunnerson@gmail.com> - 0.0-1.git707856d
- Initial release
